Subject: bug#36447: 27.0.50; New "Unknown keyword" errors

From: Stefan Monnier <[email-masked]>
Date: Fri, 05 Jul 2019 18:10:56 -0400

>> >> His patch can/should be made slightly more efficient by only doing the
>> >> Fcopy_sequence on those hash-tables that are in purespace.
>> > How do we test for that?
>> With PURE_P?
> That only works before we dump, I think?

If so, it's new (probably introduced by the pdumper).

> Indeed. I'm attaching a proof of concept that we can simply freeze the
> hash tables when dumping and thaw them when loading a dump, which
> includes rehashing. Do you happen to know why it wasn't done that way?

I'd guess it was to shorten the startup time by doing this rehashing lazily.

        Stefan